package com.usky.sas.service.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(
        ignoreUnknown = true
)
public class PatrolEventInfoVo {
    private String jsonrpc;
    private PatrolEventInfoResult result;
    private String id;

    public PatrolEventInfoVo() {
    }

    public String getJsonrpc() {
        return this.jsonrpc;
    }

    public PatrolEventInfoResult getResult() {
        return this.result;
    }

    public String getId() {
        return this.id;
    }

    public PatrolEventInfoVo setJsonrpc(String jsonrpc) {
        this.jsonrpc = jsonrpc;
        return this;
    }

    public PatrolEventInfoVo setResult(PatrolEventInfoResult result) {
        this.result = result;
        return this;
    }

    public PatrolEventInfoVo setId(String id) {
        this.id = id;
        return this;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PatrolEventInfoVo)) {
            return false;
        } else {
            PatrolEventInfoVo other = (PatrolEventInfoVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$jsonrpc = this.getJsonrpc();
                Object other$jsonrpc = other.getJsonrpc();
                if (this$jsonrpc == null) {
                    if (other$jsonrpc != null) {
                        return false;
                    }
                } else if (!this$jsonrpc.equals(other$jsonrpc)) {
                    return false;
                }

                Object this$result = this.getResult();
                Object other$result = other.getResult();
                if (this$result == null) {
                    if (other$result != null) {
                        return false;
                    }
                } else if (!this$result.equals(other$result)) {
                    return false;
                }

                Object this$id = this.getId();
                Object other$id = other.getId();
                if (this$id == null) {
                    if (other$id != null) {
                        return false;
                    }
                } else if (!this$id.equals(other$id)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof PatrolEventInfoVo;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $jsonrpc = this.getJsonrpc();
        result = result * 59 + ($jsonrpc == null ? 43 : $jsonrpc.hashCode());
        Object $result = this.getResult();
        result = result * 59 + ($result == null ? 43 : $result.hashCode());
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        return result;
    }

    public String toString() {
        return "PatrolEventInfoVo(jsonrpc=" + this.getJsonrpc() + ", result=" + this.getResult() + ", id=" + this.getId() + ")";
    }
}
